## org.apache.fop.fo.flow
Class PageNumberCitation

    java.lang.Object
      |
      +--org.apache.fop.fo.FONode
            |
            +--org.apache.fop.fo.FObj
                  |
                  +--org.apache.fop.fo.flow.PageNumberCitation

public class PageNumberCitation
extends FObj

6.6.11 fo:page-number-citation Common Usage: The fo:page-number-citation is used to reference the page-number for the page containing the first normal area returned by the cited formatting object. NOTE: It may be used to provide the page-numbers in the table of contents, cross-references, and index entries. Areas: The fo:page-number-citation formatting object generates and returns a single normal inline-area. Constraints: The cited page-number is the number of the page containing, as a descendant, the first normal area returned by the formatting object with an id trait matching the ref-id trait of the fo:page-number-citation (the referenced formatting object). The cited page-number string is obtained by converting the cited page-number in accordance with the number to string conversion properties specified on the ancestor fo:page-sequence of the referenced formatting object. The child areas of the generated inline-area are the same as the result of formatting a result-tree fragment consisting of fo:character flow objects; one for each character in the cited page-number string and with only the "character" property specified. Contents: EMPTY The following properties apply to this formatting object: [7.3 Common Accessibility Properties] [7.5 Common Aural Properties] [7.6 Common Border, Padding, and Background Properties] [7.7 Common Font Properties] [7.10 Common Margin Properties-Inline] [7.11.1 "alignment-adjust"] [7.11.2 "baseline-identifier"] [7.11.3 "baseline-shift"] [7.11.5 "dominant-baseline"] [7.36.2 "id"] [7.17.4 "keep-with-next"] [7.17.5 "keep-with-previous"] [7.14.2 "letter-spacing"] [7.13.4 "line-height"] [7.13.5 "line-height-shift-adjustment"] [7.36.5 "ref-id"] [7.18.4 "relative-position"] [7.36.6 "score-spaces"] [7.14.4 "text-decoration"] [7.14.5 "text-shadow"] [7.14.6 "text-transform"] [7.14.8 "word-spacing"]

Inner Class Summary
`static class` `PageNumberCitation.Maker`

Inner classes inherited from class org.apache.fop.fo.FObj
`FObj.Maker`

Fields inherited from class org.apache.fop.fo.FObj
`name, properties`

Fields inherited from class org.apache.fop.fo.FONode
`bodyIndent, BREAK_AFTER, children, distanceBetweenStarts, forcedStartOffset, forcedWidth, isInLabel, isInListBody, isInTableCell, labelSeparation, linkSet, marker, orphans, parent, START, widows`

Constructor Summary
`PageNumberCitation(FObj parent, PropertyList propertyList)`

Method Summary
`Status` `layout(Area area)` generates the area or areas for this formatting object and adds these to the area.
`static FObj.Maker` `maker()`

Methods inherited from class org.apache.fop.fo.FObj
`addCharacters, end, generatesReferenceAreas, getContentWidth, getName, getProperty, removeID, start`

Methods inherited from class org.apache.fop.fo.FONode
`addChild, forceStartOffset, forceWidth, getLinkSet, getMarkerSnapshot, getParent, removeAreas, resetMarker, rollback, setBodyIndent, setDistanceBetweenStarts, setIsInLabel, setIsInListBody, setIsInTableCell, setLabelSeparation, setLinkSet, setOrphans, setWidows`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageNumberCitation

    public PageNumberCitation(FObj parent,
                              PropertyList propertyList)

Method Detail

### maker

    public static FObj.Maker maker()

### layout

    public Status layout(Area area)
                  throws FOPException

  Description copied from class: FObj
  generates the area or areas for this formatting object and adds these to the area. This method should always be overridden by all sub classes
  Overrides:
    layout in class FObj
  Tags copied from class: FObj
  Parameters:
    `area` -

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.